# Gets the legal entity dimensions. **GET /api/LegalEntityDimensions** This request should be used to retrieve information around legal entities such as legal entity names, addresses, and currency configurations – as seen under the legal entity tab on the engagement in Setup. ## Servers - Production server: https://analyticsapi.adra.com/balancer (Production server) - Stage server: https://analyticsapi.adrastage.com/balancer (Stage server) - Test server: https://analyticsapi.adratest.com/balancer (Test server) - Dev server: https://analyticsapi.adradev.com/balancer (Dev server) ## Authentication methods - Basic - Adra personal access token ## Parameters ### Query parameters - **engagement** (string) Short Guid of desired engagement Ex - ESXmkya-nEeWMX-7_3fSxA or Guid of desired engagement Ex - 45c31339-96d0-4262-b051-c00f392685c1 ## Responses ### 200 Success #### Body: application/json (array[object]) - **legalEntity_Key** (integer(int32)) - **engagement_Key** (integer(int32)) - **entityCode** (string | null) - **entityName** (string | null) - **status** (string | null) - **address1** (string | null) - **address2** (string | null) - **zipCode** (string | null) - **city** (string | null) - **isCrossEntity** (boolean | null) - **country** (string | null) - **entityCurrencyCode** (string | null) - **entityCurrencyName** (string | null) - **entityInformation** (string | null) - **engagementGuid** (string(uuid)) ### 400 Bad Request ### 404 Not Found ### 500 Server Error [Powered by Bump.sh](https://bump.sh)